<ng-container *ngIf="userList$ | async as userList">
 <div class="container">
  <div class="row">
  <div class="filter col-sm-2">
    <input
      type="text"
      class="form-control"
      placeholder="Search"
      [formControl]="filterInput"
    />
  </div>
  <div class="filterViaRole col-sm-2">
      <select
        type="select"
        class="form-control"
        placeholder=""
        (change)='filterByRole($event)'
      >
        <option value="">All Users</option>
        <option value="user">User</option>
        <option value="admin">Admin</option>
      </select>
  </div>
</div>
  <table class="table">
    <thead>
      <tr>
        <th class="">Username</th>
        <th class="">Name</th>
        <th class="">Last Name</th>
        <th class="">Role</th>
        <th class="">User Enabled</th>
        <th class="">Actions</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let user of userList; let i=index">
        <td>{{ user.username }}</td>
        <td>{{ user.firstName }}</td>
        <td>{{ user.lastName }}</td>
        <td>{{ user.role }}</td>
        <td>{{ user.enabled ? "Enabled" : "Disabled" }}</td>
        <td>
          <button class="btn btn-primary" (click)="editUser(i)">Edit</button
          ><button class="btn btn-danger" (click)='deleteUser(i)'>Delete</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
</ng-container>
<ng-container *ngIf="pageState$ | async as pageState">
  <div class="d-flex justify-content-center">
    <ul class="pagination text-center">
      <li
        class="page-item"
        *ngFor="let i of pageState.pages"
        [ngClass]="{ active: i === pageState.page }"
        (click)="changePage(i)"
      >
        <a class="page-link">{{ i }}</a>
      </li>
    </ul>
  </div>
</ng-container>
